<selector xmlns:android="http://schemas.android.com/apk/res/android">
    <item  android:drawable="@drawable/shape_switch_track_open1"   android:state_checked="true"/>
    <item android:drawable="@drawable/shape_switch_track_close1"
        android:state_checked="false"/>
    <item android:drawable="@drawable/shape_switch_track_close1"
        />
</selector>